This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create Auto-Scaling Group Notification

1 - 1.3

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Create Auto-Scaling Group notification.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

2 - 1.2

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Create Auto-Scaling Group notification.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

3 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Create Auto-Scaling Group notification.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

4 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Create Auto-Scaling Group notification.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_email": "scpuser@samsung.com",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}